Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.TransportConfig

Enclosing interface:
  Configuration

    public static interface Configuration.TransportConfig

Maps to the Remote API SagTransport configuration file. It contains the information RA uses to connect to a particular SAG instance. HostName and PortNumber are mandatory. • HostName: The name of the SAG host or its IP address. • PortNumber: The number of the port on the SAG host to which RA connects. • FtlaPortNumber: The number of the port on the SAG host through which File Transfers will take place. • SSLMode: True or False depending upon whether data encryption is to be used. • ServerDN: The Distinguished Name, used for SWIFTAlliance Gateway authentication. • CACertificate: The file that contains the Certification Authority certificate. Example: Hostname = myHost1 PortNumber = 48002 FtlaPortNumber = 48003 SSLMode = TRUE ServerDN = o=swift,ou=itops,cn=bvh,email=my@swift.com CACertificate = MyCert.crt

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2006/06/23 00:26:45.
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `getCACertificate()` Gets the CA (Certification Authority) Certificate.
`int` | `getFtlaPortNumber()` Gets the Ftla port number.
`java.lang.String` | `getHostName()` Gets the host name.
`int` | `getPortNumber()` Gets the port number.
`java.lang.String` | `getReadFromRaCfgFile()` Gets ReadFromRaCfgFile.
`java.lang.String` | `getServerDN()` Gets the Server DN (distinguished name).
`boolean` | `getSSLMode()` Gets the SSL mode.
`void` | `validate()` Validates the Transport section.

Method Detail

### getReadFromRaCfgFile

    java.lang.String getReadFromRaCfgFile()

  Gets ReadFromRaCfgFile.

  Parameters:
    None.

  Returns:
    `String` - Returns the read from RA Configuration file.
  Throws:
    None.

### getHostName

    java.lang.String getHostName()

  Gets the host name.

  Parameters:
    None.

  Returns:
    `String` - Returns the Host name.
  Throws:
    None.

### getPortNumber

    int getPortNumber()

  Gets the port number.

  Parameters:
    None.

  Returns:
    `int` - Returns the port number.
  Throws:
    None.

### getFtlaPortNumber

    int getFtlaPortNumber()

  Gets the Ftla port number.

  Parameters:
    None.

  Returns:
    `int` - Returns the ftla port number.
  Throws:
    None.

### getSSLMode

    boolean getSSLMode()

  Gets the SSL mode.
  Parameters:
    None.

  Returns:
    `boolean` - Returns the SSL mode.
  Throws:
    None.

### getServerDN

    java.lang.String getServerDN()

  Gets the Server DN (distinguished name).

  Parameters:
    None.

  Returns:
    `String` - Returns the server DN.
  Throws:
    None.

### getCACertificate

    java.lang.String getCACertificate()

  Gets the CA (Certification Authority) Certificate.

  Parameters:
    None.

  Returns:
    `String` - Returns the CA Certificate.
  Throws:
    None.

### validate

    void validate()
                  throws SAGApplicationException

  Validates the Transport section.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.